### Name: svrepdesign
### Title: Specify survey design with replicate weights
### Aliases: svrepdesign svrepdesign.default svrepdesign.imputationList
###   [.svyrep.design image.svyrep.design print.svyrep.design
###   model.frame.svyrep.design summary.svyrep.design
###   print.summary.svyrep.design
### Keywords: survey

### ** Examples

data(scd)
# use BRR replicate weights from Levy and Lemeshow
repweights<-2*cbind(c(1,0,1,0,1,0), c(1,0,0,1,0,1), c(0,1,1,0,0,1),
c(0,1,0,1,1,0))
scdrep<-svrepdesign(data=scd, type="BRR", repweights=repweights)
svyratio(~alive, ~arrests, scdrep)



