### Name: svycoxph
### Title: Survey-weighted Cox models.
### Aliases: svycoxph svycoxph.survey.design2 svycoxph.survey.design
###   svycoxph.svyrep.design
### Keywords: regression survival survey

### ** Examples

## Somewhat unrealistic example of nonresponse bias.
data(pbc, package="survival")

pbc$randomized<-with(pbc, !is.na(trt) & trt>0)
biasmodel<-glm(randomized~age*edema,data=pbc,family=binomial)
pbc$randprob<-fitted(biasmodel)
if (is.null(pbc$albumin)) pbc$albumin<-pbc$alb ##pre2.9.0

dpbc<-svydesign(id=~1, prob=~randprob, strata=~edema, data=subset(pbc,randomized))
rpbc<-as.svrepdesign(dpbc)

svycoxph(Surv(time,status>0)~log(bili)+protime+albumin,design=dpbc)

svycoxph(Surv(time,status>0)~log(bili)+protime+albumin,design=rpbc)



